ES_REPO_MGR(1)

NAME
es_repo_mgr - snapshot repository manager for Elasticsearch curator(1).

SYNOPSIS
es_repo_mgr [-h] [-v] [--host HOST] [--url_prefix URL_PREFIX] [--port PORT] [--ssl] [--auth AUTH] [-t TIMEOUT] [-n] [-D] [--loglevel LOG_LEVEL] [-l LOG_FILE] [--logformat LOGFORMAT] COMMAND [COMMAND_OPTS] ARGUMENTS

DESCRIPTION
es_repo_mgr is a helper script to assist in creating Elasticsearch index snapshot repositories. At this time, only fs and s3 types are supported. Please be sure to read the documentation for the indicated type before creating a repository. For example, each node using a fs type repository must be able to access the same shared filesystem, in the same path, identified by --location.

OPTIONS

-h, --help
    show this program usage and exit

--config PATH
    Path to configuration file. Default: ~/.curator/curator.yml

COMMANDS
Each command accepts a number of options and positional arguments. Run es_repo_mgr COMMAND --help for command-specific help. The following commands are available:

create
    Create a new repository

delete
    Delete a named repository

show
    Show all repositories

SEE ALSO
curator(1), curator_cli(1) Additional documentation for es_repo_mgr can be found at curator's wiki at https://github.com/elasticsearch/curator/wiki. On Debian systems, information about the curator.yml configuration file can be found in /usr/share/doc/elasticsearch-curator/reference.txt.gz.

AUTHOR
curator was originally written by Aaron Mildenstein <aaron@mildensteins.com>. It is currently maintained by Elasticsearch <http://www.elasticsearch.org/>. This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project (but may be used by others).

LICENSE
This software is released under the Apache License, Version 2.0. See /usr/share/doc/elasticsearch-curator/copyright for more details. Copyright 2011-2016 Elasticsearch and contributors.